Subject: Re: [PATCH 1/8] bash: Remove short option completions for branch/checkout/diff.

From: Jakub Narebski <[email-masked]>
Date: Sun, 04 Feb 2007 11:27:50 +0100

[Cc: [email-masked]]

Shawn O. Pearce wrote:

> The short options (-l, -f, -d) for git-branch are rather silly to
> include in the completion generation as these options must be fully
> typed out by the user and most users already know what the options
> are anyway, so including them in the suggested completions does
> not offer huge value.  (The same goes for git-checkout and git-diff.)

Not true. It is nice to have on "git branch -" TAB TAB list of all 
(well, all included in completion) short options to git-branch.

So I'd vote NAK.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git